Authentication
Obtain an OB-TOKEN-V1 token and authenticate Amplify API requests.
Token
Obtaining a token should be your 1st step toward using Amplify API. You need to include it in all further requests using the HTTP Header OB-TOKEN-V1.
In order to protect your privacy, the tokens are valid for a period of 30 days. You will not be able to access Amplify API using an expired token.
You can generate as many tokens as you wish. Generating a new token does not invalidate older tokens.
When a user password or email are changed in the Create Token Page all tokens
generated prior to the change are revoked and a new token must be generated.
How to obtain a token
There are 2 ways to obtain a token.
Via web interface
Simply go to your Amplify API Token Page, fill in your password, hit generate, and you will get your token. If you can't see Amplify API Token form, this means that your username doesn't have access to the Amplify API. To register for the Amplify API please fill in this form.
Via API
Yes, you can obtain a new token using the Amplify API. Why? API is all about automation, so why not obtain a new token using the API before your token expires?
This API transaction is the only one in which you need to supply your Outbrain credentials. Your credentials should be sent using Basic Authentication.
curl -u YOUR_OUTBRAIN_USER_NAME:YOUR_OUTBRAIN_PASSWORD https://api.outbrain.com/amplify/v0.1/loginTransport Layer Security version 1.2 (TLS 1.2) is mandatory for communication with Amplify API. You will need to verify that your environment supports TLS 1.2, and if necessary make appropriate updates. Older versions of curl do not support TLS 1.2 and need to be upgraded.
See the Obtain a token reference — GET /login.
Token requests are rate limited to 2 per hour per user; see Rate Limits.